
From: Hugh Dickins <hugh@veritas.com>

Your swapspace-layout-improvements.patch inadvertently deletes a line too
many, so /proc/swaps tends to show negative Used.

I was tempted to delete "akpm", but compassion stayed my hand.

Sorry, I'm sure you'd appreciate proper feedback on the patch, but I
haven't studied it or noticed its impact yet.

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/swapfile.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/swapfile.c~swapspace-layout-improvements-fix mm/swapfile.c
--- 25/mm/swapfile.c~swapspace-layout-improvements-fix	2005-02-22 18:16:02.000000000 -0800
+++ 25-akpm/mm/swapfile.c	2005-02-22 18:16:02.000000000 -0800
@@ -120,6 +120,7 @@ scan_swap_map(struct swap_info_struct *s
 		if (si->swap_map[block])
 			continue;
 		si->swap_map[block] = 1;
+		si->inuse_pages++;
 		nr_swap_pages--;
 		if (akpm)
 			printk("cookie:%p, index:%lu, chunk:%lu nchunks:%lu "
_
